<template>
  <q-page class="flex flex-center">
    <q-card style="min-width:300px">
      <q-card-title class="bg-primary text-white">User Registration</q-card-title>
      <q-card-separator />
      <q-card-main>
        <q-input class="q-my-lg" v-model="username" float-label="Username" placeholder="Enter Username" />
        <q-input class="q-my-lg" type="password" v-model="password" float-label="Password" placeholder="Enter Password" />
        <q-input class="q-my-lg" v-model="name" float-label="Name" placeholder="Enter Name" />
        <q-input class="q-my-lg" v-model="email" float-label="E-Mail" placeholder="Enter E-Mail" />
        <br>
        <q-btn style="width:100%" color="secondary" @click="register">Register</q-btn>
      </q-card-main>
    </q-card>
  </q-page>
</template>

<style>
</style>

<script>
import * as api from '../js/api'

export default {
  name: 'PageRegistration',
  data () {
    return {
      username: '',
      password: '',
      name: '',
      email: ''
    }
  },
  methods: {
    register () {
      api.register(this.username, this.password, this.name, this.email)
    }
  }
}
</script>
